/*
    DELUDE target for iptables

    Copyright © Jan Engelhardt <jengelh [at] gmx de>, 2006 - 2007
    released under the terms of the GNU General Public
    License version 2.x and only versions 2.x.
*/
#include <getopt.h>
#include <stdio.h>
#include <string.h>

#include <iptables.h>
#include <linux/netfilter_ipv4/ip_tables.h>

static void libipt_delude_help(void)
{
	printf("DELUDE takes no options\n");
	return;
}

static int libipt_delude_parse(int c, char **argv, int invert,
    unsigned int *flags, const struct ipt_entry *entry,
    struct ipt_entry_target **target)
{
	return 0;
}

static void libipt_delude_check(unsigned int flags)
{
	return;
}

static void libipt_delude_print(const struct ipt_ip *ip,
    const struct ipt_entry_target *target, int numeric)
{
	return;
}

static void libipt_delude_save(const struct ipt_ip *ip,
    const struct ipt_entry_target *target)
{
	return;
}

static struct option libipt_delude_opts[] = {
	{NULL},
};

static struct iptables_target libipt_delude_info = {
	.name          = "DELUDE",
	.version       = IPTABLES_VERSION,
	.size          = IPT_ALIGN(0),
	.userspacesize = IPT_ALIGN(0),
	.help          = libipt_delude_help,
	.parse         = libipt_delude_parse,
	.final_check   = libipt_delude_check,
	.print         = libipt_delude_print,
	.save          = libipt_delude_save,
	.extra_opts    = libipt_delude_opts,
};

static __attribute__((constructor)) void libipt_delude_init(void)
{
	register_target(&libipt_delude_info);
	return;
}
